Bug 726028 - Automountkey value doesn't get renamed.
Summary: Automountkey value doesn't get renamed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-27 11:05 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Renaming an automount key does not work. Consequence: Renaming a key would require removing and re-adding it. Fix: The dn of the key was being updated but not the value within the entry. Result: Renaming an automount key should update the dn and the stored key value.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:41:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-07-27 11:05:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110726T0531zgit9a4ce98.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # ipa automountlocation-add baltimore
------------------------------------
Added automount location "baltimore"
------------------------------------
  Location: baltimore

2. # ipa automountkey-add baltimore auto.master --key=/share --info=auto.share
---------------------------------
Added automount key "auto.master"
---------------------------------
  Key: /share
  Mount information: auto.share

3. # ipa automountkey-mod baltimore auto.master --key=/share --rename=/ipashare --info=auto.share --newinfo=auto.ipashare

  
Actual results:
The automountkey value does not get renamed to the value provided in "--rename" option. 

# ipa automountkey-mod baltimore auto.master --key=/share --rename=/ipashare --info=auto.share --newinfo=auto.ipashare
------------------------------------------
Modified automount key "/share auto.share"
------------------------------------------
  Key: /share                 <<<<<<<<<<<<<<<<<<<<<<<<<<
  Mount information: auto.ipashare


Expected results:
The automountkey should be modified/renamed from /share to /ipashare.

Additional info:

# ipa automountkey-find baltimore auto.master --all --raw
------------------------
2 automount keys matched
------------------------
  dn: description=/- auto.direct,automountmapname=auto.master,cn=baltimore,cn=automount,dc=lab,dc=eng,dc=pnq,dc=redhat,dc=com
  automountkey: /-
  automountinformation: auto.direct
  description: /- auto.direct
  objectclass: automount
  objectclass: top

  dn: description=/ipashare,automountmapname=auto.master,cn=baltimore,cn=automount,dc=lab,dc=eng,dc=pnq,dc=redhat,dc=com
  automountkey: /share                 <<<<<<<<<<<<<<<<<<<<<<<<<<
  automountinformation: auto.ipashare
  description: /ipashare
  objectclass: automount
  objectclass: top
----------------------------
Number of entries returned 2
----------------------------

Comment 2 Martin Kosek 2011-07-27 12:11:54 UTC
https://fedorahosted.org/freeipa/ticket/1528

Comment 3 Rob Crittenden 2011-08-19 15:36:20 UTC
master: d28f1c3b7cca50166444c7110e914f1efd4f779a

ipa-2-1: 6aa0b57440ee83ef771c23c5bf81a5edc26e2e67

Comment 5 Rob Crittenden 2011-10-31 21:20:37 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Renaming an automount key does not work.
Consequence: Renaming a key would require removing and re-adding it.
Fix: The dn of the key was being updated but not the value within the entry.
Result: Renaming an automount key should update the dn and the stored key value.

Comment 6 Gowrishankar Rajaiyan 2011-11-02 07:16:03 UTC
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: automountkey_mod_001: ipa automountkey-mod LOCATION MAP --key --rename --info --newinfo
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

------------------------------------
Added automount location "baltimore"
------------------------------------
  Location: baltimore
:: [   PASS   ] :: Running 'ipa automountlocation-add baltimore'
----------------------------
Added automount key "/share"
----------------------------
  Key: /share
  Mount information: auto.share
:: [   PASS   ] :: Running 'ipa automountkey-add baltimore auto.master --key=/share --info=auto.share'
:: [   PASS   ] :: Running 'ipa automountkey-mod baltimore auto.master --key=/share --rename=/ipashare --info=auto.share --newinfo=auto.ipashare > /tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out 2>&1'
:: [01:48:22] ::  Verifies bug https://bugzilla.redhat.com/show_bug.cgi?id=726028
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should not contain 'Key: /share'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should contain 'Key: /ipashare'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should contain 'Mount information: auto.ipashare'
-------------------------------
Modified automount key "/share"
-------------------------------
  Key: /ipashare
  Mount information: auto.ipashare
:: [   PASS   ] :: Running 'cat /tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out'



Verified. Version: ipa-server-2.1.3-2.el6.x86_64

Comment 7 errata-xmlrpc 2011-12-06 18:41:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.